export interface IConfigPaths {
    chromeExe: string;
    geckoExe: string;
    seleniumPath: string;
}
export interface ISnappitConfig {
    logException?: string[];
    screenshotsDir?: string;
    threshold?: number;
}
export interface ISauceLabs {
    browserName?: string;
    build?: string;
    chromedriverVersion?: string;
    commandTimeout?: number;
    customData?: any;
    extendedDebugging?: boolean;
    idleTimeout?: number;
    iedriverVersion?: string;
    maxDuration?: number;
    name?: string;
    platform?: string;
    priority?: number;
    public?: string;
    recordScreenshots?: boolean;
    recordVideo?: boolean;
    tags?: string;
    timeZone?: string;
    tunnelIdentifier?: string;
    "tunnel-identifier"?: string;
    version?: string;
    screenResolution?: string;
    seleniumVersion?: string;
}
export interface IConfig extends ISnappitConfig {
    browser: string;
    headless?: boolean;
    initialViewportSize?: [number, number];
    paths?: IConfigPaths;
    serverUrl?: string;
    sauceLabs?: ISauceLabs;
    useProvidedDriver?: boolean;
}
export declare function prepareConfig(config: IConfig): IConfig;
