"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * Custom errors related to the Snappit class.
 */
class ScreenshotException extends Error {
}
exports.ScreenshotException = ScreenshotException;
class ScreenshotMismatchException extends ScreenshotException {
    constructor(screenshotName) {
        super(`Screenshots do not match within threshold: ${screenshotName}`);
        this.id = ScreenshotExceptionName.MISMATCH;
    }
}
exports.ScreenshotMismatchException = ScreenshotMismatchException;
class ScreenshotNoBaselineException extends ScreenshotException {
    constructor(screenshotName) {
        super(`No previous screenshot found: ${screenshotName}`);
        this.id = ScreenshotExceptionName.NO_BASELINE;
    }
}
exports.ScreenshotNoBaselineException = ScreenshotNoBaselineException;
class ScreenshotSizeDifferenceException extends ScreenshotException {
    constructor(screenshotName) {
        super(`Screenshots differ with respect to dimension: ${screenshotName}`);
        this.id = ScreenshotExceptionName.SIZE_DIFFERENCE;
    }
}
exports.ScreenshotSizeDifferenceException = ScreenshotSizeDifferenceException;
class NoDriverSessionException extends Error {
    constructor() {
        super("You must call 'new Snappit(config).start();' before invoking this method.");
    }
}
exports.NoDriverSessionException = NoDriverSessionException;
var ScreenshotExceptionName;
(function (ScreenshotExceptionName) {
    ScreenshotExceptionName["MISMATCH"] = "MISMATCH";
    ScreenshotExceptionName["NO_BASELINE"] = "NO_BASELINE";
    ScreenshotExceptionName["SIZE_DIFFERENCE"] = "SIZE_DIFFERENCE";
})(ScreenshotExceptionName = exports.ScreenshotExceptionName || (exports.ScreenshotExceptionName = {}));
//# sourceMappingURL=errors.js.map