import { PNG } from "pngjs";
import { WebDriver, WebElement } from "selenium-webdriver";
export declare class Screenshot {
    /**
     * Convert the name and directory of the screenshot into a path.
     */
    static buildPath(name: string, driver: WebDriver, screenshotsDir: string): Promise<string>;
    /**
     * Screenshot the browser or element.
     */
    static take(driver: WebDriver, element?: WebElement, elementContent?: boolean): Promise<Screenshot>;
    static fromPath(filePath: string): Screenshot;
    png: PNG;
    constructor(source: Buffer | PNG);
    /**
     * Determine if the current screenshot is the same size as another screenshot.
     */
    isSameSize(compareShot: Screenshot): boolean;
    /**
     * Compute the difference of the current screenshot with another screenshot by percentage of pixels.
     */
    percentDiff(diffShot: Screenshot): number;
    /**
     * Save a screenshot to a path.
     */
    saveToPath(filePath: string): void;
}
