import { WebDriver, WebElement } from "selenium-webdriver";
import { IConfig, ISnappitConfig } from "./config";
import { ScreenshotException } from "./errors";
export interface ISnapOptions {
    elementContent?: boolean;
    hide?: WebElement[];
}
export declare function snap(name: string, element?: WebElement, opts?: ISnapOptions): Promise<void>;
export declare namespace snap {
    function configure(config: ISnappitConfig): void;
}
export declare function $(selector: string): WebElement;
export declare class Snappit {
    private config;
    private driver;
    constructor(config: IConfig, driver?: WebDriver);
    start(): Promise<WebDriver>;
    stop(): Promise<void>;
    $(selector: string): WebElement;
    handleException(error: ScreenshotException): void;
    snap(name: string, element?: WebElement, { elementContent, hide, }?: ISnapOptions): Promise<void>;
    configureSnap(config: ISnappitConfig): void;
    setSauceLabsJobResult(passed: boolean): Promise<void>;
    setSauceLabsAnnotation(annotation: string): Promise<void>;
}
